Bug 398011 - java applet not correctly displayed
java applet not correctly displayed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
8
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-24 15:42 EST by John Smith
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-28 16:07:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Smith 2007-11-24 15:42:39 EST
I am not sure this is a problem with firefox or with java (or perhaps with the
java applet ?).  I am using
java-1.7.0-icedtea-plugin-1.7.0.0-0.19.b21.snapshot.fc8 with firefox-2.0.0.9-1.fc8.

Description of problem:
A certain java applet is displayed incorrectly: namely it is completely blank,
whereas it is supposed to display some text.  With Konqueror instead of Firefox,
there is no problem (same java and java plugin).

Steps to Reproduce:
1. Go to http://ecatalogue.picard.fr/data/fr/magasin/FrmRechMenu.asp
2. Observe that the java applet remains blank (essentially no text appears).
  
Actual results:
Blank applet.

Expected results:
Text should be displayed.
Comment 1 Christopher Aillon 2007-11-24 18:23:22 EST
->icedtea
Comment 2 Lillian Angel 2007-11-28 16:05:51 EST
I tried this with java-1.7.0-icedtea-1.7.0.0-0.20.b23.snapshot.fc9, firefox-2.0.0.9


GCJ PLUGIN: thread 0x8904488: plugin_in_pipe_callback return
GCJ PLUGIN: thread 0x8904488: plugin_in_pipe_callback
GCJ PLUGIN: thread 0x8904488: plugin_in_pipe_callback: setting status Applet
started.
  PIPE: plugin read: status Applet started.
GCJ PLUGIN: thread 0x8904488: plugin_in_pipe_callback return
Exception in thread "AWT-EventQueue-1" java.lang.NullPointerException
        at treeView.Noeud.affiche(Noeud.java:276)
        at treeView.Arbre.dessiner(Arbre.java:238)
        at treeView.Arbre.affiche(Arbre.java:186)
        at treeView.TreeViewApplet.paint(TreeViewApplet.java:408)
        at sun.awt.RepaintArea.paintComponent(RepaintArea.java:264)
        at sun.awt.X11.XRepaintArea.paintComponent(XRepaintArea.java:73)
        at sun.awt.RepaintArea.paint(RepaintArea.java:240)
        at sun.awt.X11.XComponentPeer.handleEvent(XComponentPeer.java:702)
        at java.awt.Component.dispatchEventImpl(Component.java:4536)
        at java.awt.Container.dispatchEventImpl(Container.java:2167)
        at java.awt.Component.dispatchEvent(Component.java:4286)
        at java.awt.EventQueue.dispatchEvent(EventQueue.java:604)
        at
java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
        at
java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
        at
java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
        at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
        at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)


Comment 3 Lillian Angel 2007-11-28 16:07:41 EST
I get the same exception with JDK1.7.0 and JDK1.5.0.

Closing this bug. It is a problem with the applet.

Note You need to log in before you can comment on or make changes to this bug.